### Class

# Camel VeeStore

#### Description

    class Camel.VeeStore : Camel.Store
      implements Gio.Initable {
      CamelVeeStorePrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- CamelStore
- CamelService
- GObject

#### Implements

- GInitable

#### Instance methods

##### Methods inherited from CamelStore (46)

Please see CamelStore for a full list of methods.

##### Methods inherited from CamelService (32)

Please see CamelService for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

##### Properties inherited from CamelService (9)

###### Camel.Service:connection-status

The connection status for the service.

###### Camel.Service:display-name

The display name for the service.

###### Camel.Service:password

The password for the service.

###### Camel.Service:provider

The `CamelProvider` for the service.

###### Camel.Service:proxy-resolver

The proxy resolver for the service.

###### Camel.Service:session

A `CamelSession` instance.

###### Camel.Service:settings

A `CamelSettings` instance.

###### Camel.Service:uid

The unique identity of the service.

###### Camel.Service:with-proxy-resolver

Private property, to not create `GProxyResolver` in the tests.

#### Signals

##### Signals inherited from CamelStore (5)

###### CamelStore::folder-created

No description available.

###### CamelStore::folder-deleted

No description available.

###### CamelStore::folder-info-stale

This signal indicates significant changes have occurred to the folder hierarchy of `store`, and that previously fetched `CamelFolderInfo` data should be considered stale.

###### CamelStore::folder-opened

No description available.

###### CamelStore::folder-renamed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelVeeStoreClass {
      CamelStoreClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: CamelStoreClass`

  No description available.

`reserved: gpointer`

  No description available.